Package org.opensaml.xmlsec.agreement.impl

# Class StaticStaticMode

java.lang.Object
org.opensaml.xmlsec.agreement.impl.StaticStaticMode

All Implemented Interfaces:
  `KeyAgreementParameter`

public class StaticStaticMode extends Object implements KeyAgreementParameter
Key agreement parameter whose presence indicates Static-Static mode is being used.

This is typically used in the encryption case for Static-Static mode, along with passing the originator's (encrypting party's) credential via `PrivateCredential`.

## Constructor Summary

Constructors
Constructor
Description
`StaticStaticMode()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StaticStaticMode

public StaticStaticMode()